Subject: Re: bug#62370: 28.1; sieve-mode: faces should inherit from font-lock-X-face faces

From: Jim Porter <[email-masked]>
Date: Mon, 4 Sep 2023 21:43:25 -0700

On 9/3/2023 3:30 AM, Stefan Kangas wrote:
> Jim Porter <[email-masked]> writes:
> 
>> I agree that we shouldn't be changing defaults arbitrarily, but as I found when
>> looking at the face definitions, we could make this change in a way where it
>> just simplifies the job for theme authors but doesn't cause a noticeable change
>> in most cases.
>>
>> Does that sound ok? If not, then I think we can just close this.
> 
> I think the solution that you proposed makes sense: it wouldn't break
> anything, and it would make sieve-mode look better for many users.

I tried my proposal out just to be safe and it does actually change the 
appearance in a few cases with the default theme, but I think it's for 
the better:

1. If you're using a color TTY, sieve-mode picks some very simple colors 
("blue", "magenta", and "cyan"). Normally that's fine, since it uses 
whatever your terminal's color palette uses for those basic ANSI colors. 
However, if you have a terminal that can display 24-bit colors, sieve's 
choices become really bad: it's no longer "the blue you've configured 
for your terminal theme that looks nice", but just regular blue 
(#0000ee), which on my terminal is almost unreadable.

2. The font-lock faces also feature slight tweaks to their colors when 
your system supports at least 88 colors. This is only really noticeable 
if you look closely though.

As such, I've pushed this to the master branch as f08684ab39d. Closing 
this now. (Of course, if this *does* cause some problems, we can revisit 
this.)